function openCity(evt, cityName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(cityName).style.display = "block";
    evt.currentTarget.className += " active";
}
function opensingletab(evt, cityName) {
    var i, tabsinglecontent, tabsinglelinks;
    tabsinglecontent = document.getElementsByClassName("tabsinglecontent");
    for (i = 0; i < tabsinglecontent.length; i++) {
        tabsinglecontent[i].style.display = "none";
    }
    tabsinglelinks = document.getElementsByClassName("tabsinglelinks");
    for (i = 0; i < tabsinglelinks.length; i++) {
        tabsinglelinks[i].className = tabsinglelinks[i].className.replace(" active", "");
    }
    document.getElementById(cityName).style.display = "block";
    evt.currentTarget.className += " active";
}

jQuery(document).ready(function($) {
    jQuery('#psw-pos-sycn-all-enable-product').change(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery(this).prop("checked") == true){
            jQuery('.psw-pos-sycn-all-product-company').addClass('show');
            jQuery('.psw-pos-sycn-all-product-company-button').addClass('show');
        }
        else if(jQuery(this).prop("checked") == false){
            jQuery('.psw-pos-sycn-all-product-company').removeClass('show');
            jQuery('.psw-pos-sycn-all-product-company-button').removeClass('show');
        }
        jQuery('body').removeClass('mi_pos_loader');
    });
    jQuery('#psw-pos-sycn-all-enable-order').change(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery(this).prop("checked") == true){
            jQuery('.psw-pos-sycn-all-order-company').addClass('show');
            jQuery('.psw-pos-sycn-all-order-company-button').addClass('show');
        }
        else if(jQuery(this).prop("checked") == false){
            jQuery('.psw-pos-sycn-all-order-company').removeClass('show');
            jQuery('.psw-pos-sycn-all-order-company-button').removeClass('show');
        }
        jQuery('body').removeClass('mi_pos_loader');
    });
    jQuery('#psw-pos-sycn-all-enable-customer').change(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery(this).prop("checked") == true){
            jQuery('.psw-pos-sycn-all-customer-company').addClass('show');
            jQuery('.psw-pos-sycn-all-customer-company-button').addClass('show');
        }
        else if(jQuery(this).prop("checked") == false){
            jQuery('.psw-pos-sycn-all-customer-company').removeClass('show');
            jQuery('.psw-pos-sycn-all-customer-company-button').removeClass('show');
        }
        jQuery('body').removeClass('mi_pos_loader');
    });
    /*
    * Sync all product 
    */
    jQuery('#Product .psw-pos-sycn-all-product-company-button button').click(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery('#psw-pos-sycn-all-enable-product').prop("checked") == true){
            var allsyncproduct_enable = "yes";
        }else{
            var allsyncproduct_enable = "no";
        }
        var allsyncproduct_company = jQuery('.psw-pos-sycn-all-product-company.show select[name="psw-pos-sync-all-company-product"]').val();
        $.ajax({
            type: 'post',
            url: ajaxurl,
            dataType:"json",
            data: {
                allsyncproduct_enable:allsyncproduct_enable,
                allsyncproduct_company:allsyncproduct_company,
                action: 'psw_pos_allsyncproduct',
            },
            success: function (response) {
                /* window.location.reload(true); */
                jQuery('.res_message').append('<p>'+response.message+'</p>');
                $.ajax({
                    type: 'post',
                    url: ajaxurl,
                    data: {
                        action: 'psw_pos_get_sync_count',
                    },
                    success: function (response) {
                        jQuery('.psw-pos-full-count-otr .psw-pos-product-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr .psw-pos-order-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr .psw-pos-customer-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr').append(response);
                        setTimeout(function(){
                            removemessage()
                        },3000);
                        jQuery('body').removeClass('mi_pos_loader');
                    }
                });
            }

        });
    });
    /*
    * Sync all order 
    */
    jQuery('#order .psw-pos-sycn-all-order-company-button button').click(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery('#psw-pos-sycn-all-enable-order').prop("checked") == true){
            var allsyncorder_enable = "yes";
        }else{
            var allsyncorder_enable = "no";
        }
        var allsyncorder_company = jQuery('.psw-pos-sycn-all-order-company.show select[name="psw-pos-sync-all-company-order"]').val();
        $.ajax({
            type: 'post',
            url: ajaxurl,
            dataType:"json",
            data: {
                allsyncorder_enable:allsyncorder_enable,
                allsyncorder_company:allsyncorder_company,
                action: 'psw_pos_allsyncorder',
            },
            success: function (response) {
                jQuery('.res_message').append('<p>'+response.message+'</p>');
                $.ajax({
                    type: 'post',
                    url: ajaxurl,
                    data: {
                        action: 'psw_pos_get_sync_count',
                    },
                    success: function (response) {
                        jQuery('.psw-pos-full-count-otr .psw-pos-product-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr .psw-pos-order-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr .psw-pos-customer-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr').append(response);
                        setTimeout(function(){
                            removemessage()
                        },3000);
                        jQuery('body').removeClass('mi_pos_loader');
                    }
                });
            }

        });
    });
    /*
    * Sync all Customer 
    */
    jQuery('#customer .psw-pos-sycn-all-customer-company-button button').click(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery('#psw-pos-sycn-all-enable-customer').prop("checked") == true){
            var allsynccustomer_enable = "yes";
        }else{
            var allsynccustomer_enable = "no";
        }
        var allsynccustomer_company = jQuery('.psw-pos-sycn-all-customer-company.show select[name="psw-pos-sync-all-company-customer"]').val();
        $.ajax({
            type: 'post',
            url: ajaxurl,
            dataType:"json",
            data: {
                allsynccustomer_enable:allsynccustomer_enable,
                allsynccustomer_company:allsynccustomer_company,
                action: 'psw_pos_allsynccustomer',
            },
            success: function (response) {
                jQuery('.res_message').append('<p>'+response.message+'</p>');
                $.ajax({
                    type: 'post',
                    url: ajaxurl,
                    data: {
                        action: 'psw_pos_get_sync_count',
                    },
                    success: function (response) {
                        jQuery('.psw-pos-full-count-otr .psw-pos-product-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr .psw-pos-order-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr .psw-pos-customer-sync-count').remove();
                        jQuery('.psw-pos-full-count-otr').append(response);
                        setTimeout(function(){
                            removemessage()
                        },3000);
                        jQuery('body').removeClass('mi_pos_loader');
                    }
                });
            }

        });
    });
    /*
    * Remove Message
    */
    function removemessage(){
        jQuery('.res_message p').remove();
        jQuery('body').removeClass('mi_pos_loader');
    }
    /*
    * single section
    */
    jQuery('#psw-pos-sycn-single-enable-product').change(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery(this).prop("checked") == true){
            jQuery('.psw-pos-sycn-single-product-company').addClass('show');
            jQuery('.psw-pos-sycn-single-product-company-button').addClass('show');
        }
        else if(jQuery(this).prop("checked") == false){
            jQuery('.psw-pos-sycn-single-product-company').removeClass('show');
            jQuery('.psw-pos-sycn-single-product-company-button').removeClass('show');
        }
        jQuery('body').removeClass('mi_pos_loader');
    });
    jQuery('#psw-pos-sycn-single-enable-order').change(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery(this).prop("checked") == true){
            jQuery('.psw-pos-sycn-single-order-company').addClass('show');
            jQuery('.psw-pos-sycn-single-order-company-button').addClass('show');
        }
        else if(jQuery(this).prop("checked") == false){
            jQuery('.psw-pos-sycn-single-order-company').removeClass('show');
            jQuery('.psw-pos-sycn-single-order-company-button').removeClass('show');
        }
        jQuery('body').removeClass('mi_pos_loader');
    });
    jQuery('#psw-pos-sycn-single-enable-customer').change(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery(this).prop("checked") == true){
            jQuery('.psw-pos-sycn-single-customer-company').addClass('show');
            jQuery('.psw-pos-sycn-single-customer-company-button').addClass('show');
        }
        else if(jQuery(this).prop("checked") == false){
            jQuery('.psw-pos-sycn-single-customer-company').removeClass('show');
            jQuery('.psw-pos-sycn-single-customer-company-button').removeClass('show');
        }
        jQuery('body').removeClass('mi_pos_loader');
    });
    /*
    * Sync Single product 
    */
    jQuery('#singleproduct .psw-pos-sycn-single-product-company-button button').click(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery('#psw-pos-sycn-single-enable-product').prop("checked") == true){
            var singlesyncproduct_enable = "yes";
        }else{
            var singlesyncproduct_enable = "no";
        }
        var singlesyncproduct_company = jQuery('.psw-pos-sycn-single-product-company.show select[name="psw-pos-sync-single-company-product"]').val();
        $.ajax({
            type: 'post',
            url: ajaxurl,
            dataType:"json",
            data: {
                singlesyncproduct_enable:singlesyncproduct_enable,
                singlesyncproduct_company:singlesyncproduct_company,
                action: 'psw_pos_singlesyncproduct',
            },
            success: function (response) {
                jQuery('.res_message').append('<p>'+response.message+'</p>')
                setTimeout(function(){
                    removemessage()
                },3000);
                jQuery('body').removeClass('mi_pos_loader');
            }

        });
    });
    /*
    * Sync Single order 
    */
    jQuery('#singleorder .psw-pos-sycn-single-order-company-button button').click(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery('#psw-pos-sycn-single-enable-order').prop("checked") == true){
            var singlesyncorder_enable = "yes";
        }else{
            var singlesyncorder_enable = "no";
        }
        var singlesyncorder_company = jQuery('.psw-pos-sycn-single-order-company.show select[name="psw-pos-sync-single-company-order"]').val();
        $.ajax({
            type: 'post',
            url: ajaxurl,
            dataType:"json",
            data: {
                singlesyncorder_enable:singlesyncorder_enable,
                singlesyncorder_company:singlesyncorder_company,
                action: 'psw_pos_singlesyncorder',
            },
            success: function (response) {
                jQuery('.res_message').append('<p>'+response.message+'</p>')
                setTimeout(function(){
                    removemessage()
                },3000);
                jQuery('body').removeClass('mi_pos_loader');
            }

        });
    });
    /*
    * Sync Single Customer 
    */
    jQuery('#singlecustomer .psw-pos-sycn-single-customer-company-button button').click(function(){
        jQuery('body').addClass('mi_pos_loader');
        if(jQuery('#psw-pos-sycn-single-enable-customer').prop("checked") == true){
            var singlesynccustomer_enable = "yes";
        }else{
            var singlesynccustomer_enable = "no";
        }
        var singlesynccustomer_company = jQuery('.psw-pos-sycn-single-customer-company.show select[name="psw-pos-sync-single-company-customer"]').val();
        $.ajax({
            type: 'post',
            url: ajaxurl,
            dataType:"json",
            data: {
                singlesynccustomer_enable:singlesynccustomer_enable,
                singlesynccustomer_company:singlesynccustomer_company,
                action: 'psw_pos_singlesynccustomer',
            },
            success: function (response) {
                jQuery('.res_message').append('<p>'+response.message+'</p>')
                setTimeout(function(){
                    removemessage()
                },3000);
                jQuery('body').removeClass('mi_pos_loader');
            }

        });
    });
    /*
    *
    * Auth Message Remove
    */
    //var params = new window.URLSearchParams(window.location.search);
    let searchParams = new URLSearchParams(window.location.search)    
    if(searchParams.has('success') || searchParams.has('errormsg') ){
        setTimeout(function(){
            jQuery('.auth_message p').remove();
            var origin = jQuery(location).attr('origin');
            var pathname = jQuery(location).attr('pathname');
            var urls = origin+pathname+'?page=psw-pos';
            history.pushState({}, null, urls);
        },5000);
    }
    /*
    * select2 enable
    */
    jQuery(document).ready(function() {
        jQuery('select[name="psw-pos-sync-all-company-product"]').select2();
    });
    jQuery(document).ready(function() {
        jQuery('select[name="psw-pos-sync-all-company-order"]').select2();
    });
    jQuery(document).ready(function() {
        jQuery('select[name="psw-pos-sync-all-company-customer"]').select2();
    });
    jQuery(document).ready(function() {
        jQuery('select[name="psw-pos-sync-single-company-product"]').select2();
    });
    jQuery(document).ready(function() {
        jQuery('select[name="psw-pos-sync-single-company-order"]').select2();
    });
    jQuery(document).ready(function() {
        jQuery('select[name="psw-pos-sync-single-company-customer"]').select2();
    });
    /*
    * New All sync button
    */
   jQuery('.psw-pos-sycn-all-product-company-button button.psw-pos-button').click(function(){
        var selected_company = jQuery('.mi_psw_pos_all_wraps .form-group select[name="psw-pos-sync-all-company-product"]').val();
        var arr = [];
        var chekedvalue = '';
        jQuery('input[name="all_sync[]"]:checked').each(function(){
            arr.push(jQuery(this).val());
            chekedvalue = 'yes';
        });
        /* if(chekedvalue == 'yes'){ */
            jQuery('body').addClass('mi_pos_loader');
            $.ajax({
                type: 'post',
                url: ajaxurl,
                dataType:"json",
                data: {
                    enableof:arr,
                    company:selected_company,
                    action:"psw_pos_new_sunc_all_in_moon_in"
                },
                success: function (response) {
                    /* console.log(response);
                    jQuery('.res_message').append('<p>'+response.message+'</p>')
                    setTimeout(function(){
                        removemessage()
                    },3000);
                    jQuery('body').removeClass('mi_pos_loader'); */
                    //jQuery('.res_message').append('<p>'+response.message+'</p>');
                    jQuery('.notify_box p').text(response.message);
                    jQuery('.notify_box').addClass('show');
                    setTimeout(function(){
                        jQuery('.notify_box').removeClass('show');
                        removemessage();
                    },3000);
                    $.ajax({
                        type: 'post',
                        url: ajaxurl,
                        data: {
                            action: 'psw_pos_get_sync_count',
                        },
                        success: function (response) {
                            jQuery('.psw-pos-full-count-otr .psw-pos-product-sync-count').remove();
                            jQuery('.psw-pos-full-count-otr .psw-pos-order-sync-count').remove();
                            jQuery('.psw-pos-full-count-otr .psw-pos-customer-sync-count').remove();
                            jQuery('.psw-pos-full-count-otr').append(response);
                            setTimeout(function(){
                                removemessage()
                            },3000);
                            jQuery('body').removeClass('mi_pos_loader');
                        }
                    });
                }

            });
        /* }else{

            alert('no');
        } */
   });
   /*
    * New Single sync button
    */
   jQuery('.psw-pos-sycn-single-product-company-button button.psw-pos-button').click(function(){
        var selected_company = jQuery('.mi_psw_pos_all_wraps select[name="psw-pos-sync-all-company-product"]').val();
        //var arr = [];
        var chekedvalue = '';
        /* jQuery('input[name="auto_sync"]:checked').each(function(){
            arr.push(jQuery(this).val());
            chekedvalue = 'yes';
        }); */
        if(jQuery('input[name="auto_sync"]:checked').length > 0){
            chekedvalue = 'yes';
        }else{
            chekedvalue = 'no';
        }
        console.log(chekedvalue);
        if(chekedvalue != ''){
            jQuery('body').addClass('mi_pos_loader');
            $.ajax({
                type: 'post',
                url: ajaxurl,
                dataType:"json",
                data: {
                    enableof:'all',
                    company:selected_company,
                    syncenable:chekedvalue,
                    action:"psw_pos_new_sunc_single_in_moon_invoice"
                },
                success: function (response) {
                    console.log(response);
                    jQuery('.notify_box p').text(response.message);
                    jQuery('.notify_box').addClass('show');
                    setTimeout(function(){
                        jQuery('.notify_box').removeClass('show');
                        removemessage();
                    },3000);
                    jQuery('body').removeClass('mi_pos_loader');
                    
                }
            });
        }else{
            alert('no');
        }
   });
});