<div id="mi_psw_pos_wpbody" role="main">
    <div class="psw-pos-name">
        <h1 class="psw-pos-name__title">Sync with Moon Invoice</h1>
    </div>
    <div class="auth_message">
        <?php 
            if( isset( $_GET['success'] ) ) {
                ?>
                <p class="auth_success"> <?php echo urldecode( $_GET['success'] ); ?></p>
                <?php
            }
            if( isset( $_GET['errormsg'] ) ) {
                ?>
                <p class="auth_error"> <?php echo urldecode( $_GET['errormsg'] ); ?></p>
                <?php
            }
        ?>
    </div>
    <div class="res_message"></div>
        <div id="wpbody-content" aria-label="Main content" tabindex="0">
            <?php 
                if(!empty($response_pos)){
            ?>
                <?php if($response_pos->status == 200){?>
                <div class="psw-pos-full-count-otr">
                    <?php 
                        $psw_pos_all_count = $response_pos->data;
                        $total_product = $psw_pos_all_count->total_product;
                        $total_invoice = $psw_pos_all_count->total_invoice;
                        $total_customer = $psw_pos_all_count->total_customer;
                    ?>
                    <div class="psw-pos-product-sync-count">
                        <label>Total Sync Product</label>
                        <span><?php echo $total_product; ?></span>
                    </div>
                    <div class="psw-pos-order-sync-count">
                        <label>Total Sync Order</label>
                        <span><?php echo $total_invoice; ?></span>
                    </div>
                    <div class="psw-pos-customer-sync-count">
                        <label>Total Sync Customer</label>
                        <span><?php echo $total_customer; ?></span>
                    </div>
                </div>
                <?php } ?>
            <?php }else{ ?>
                <div class="mi_psw_pos_all_row">
                    <div class="notice error is-dismissible full-width">Something is Wrong. please Deactive the Plugin and Active.</div>
                </div>
            <?php } ?>
            <?php 
                $mi_psw_pos_auth_details = get_option('mi_psw_pos_auth_details');

                if(get_option('mi_psw_pos_auth_details') && $mi_psw_pos_auth_details['access_token'] !=''){
                    if(!empty($response_pos)){
            ?>
            <div class="mi_psw_pos_all_row">
                <div class="mi_psw_pos_all_col">
                    <div class="mi_psw_pos_all_wraps">
                        <div class="psw-pos-name">
                            <h2 class="psw-pos-name__title">Sync Settings</h2>
                            <?php /*<div class="psw-pos-name__version">V 1.0.5</div>*/ ?>
                        </div>
                        <div class="psw-option-sc">
                            <?php 
                                $allsyncproduct = get_option('psw_pos_allsyncproduct');
                                $allsyncorder = get_option('psw_pos_allsyncorder');
                                $allsynccustomer = get_option('psw_pos_allsynccustomer');

                                $psw_pos_singlesync_company = get_option('psw_pos_singlesync_company');
                            ?>
                            <div class="form-group">
                                <select name="psw-pos-sync-all-company-product" multiple>
                                    <option value="">Select Company</option>
                                    <?php 
                                        foreach($response->data as $psw_pos_res){
                                    ?>
                                    <option value="<?php echo $psw_pos_res->id;?>" <?php if($psw_pos_singlesync_company){if($psw_pos_singlesync_company){if(in_array($psw_pos_res->id,$psw_pos_singlesync_company)){echo "selected";}}}else{if($psw_pos_res->isselected ==1){echo "selected";}} ?>><?php echo $psw_pos_res->name;?></option>
                                    <?php 
                                        }
                                    ?>
                                </select>
                            </div>
                            <div class="form-group allsync_otr">
                                <!-- <div class="label">Products</div> -->
                                <div class="checkbox-sc">
                                    <div class="checkbox">
                                        <input type="checkbox" id="pr_none" name="all_sync[]" value="products" <?php if(isset($allsyncproduct['allsyncproduct_enable'])){if($allsyncproduct['allsyncproduct_enable'] == 'yes'){ echo "checked"; }}?>>
                                        <label for="pr_none">Products</label>
                                    </div>
                                    <div class="checkbox">
                                        <input type="checkbox" id="pr_all" name="all_sync[]" value="orders" <?php if(isset($allsyncorder['allsyncorder_enable'])){  if($allsyncorder['allsyncorder_enable'] == 'yes'){ echo "checked";} }?>>
                                        <label for="pr_all">Orders</label>
                                    </div>
                                    <div class="checkbox">
                                        <input type="checkbox" id="pr_new" name="all_sync[]" value="customers" <?php if(isset($allsynccustomer['allsynccustomer_enable'])){ if($allsynccustomer['allsynccustomer_enable'] == 'yes'){ echo "checked";}}?>>
                                        <label for="pr_new">Customers</label>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="psw-pos-sycn-all-product-company-button">
                                <button class="btn btn-primary psw-pos-button">Sync Now</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mi_psw_pos_all_col">
                    <div class="mi_psw_pos_single_wraps">
                        <div class="psw-pos-name">
                            <h2 class="psw-pos-name__title">Auto Sync Settings</h2>
                        </div>
                        <div class="psw-pos-sync-single-data-otr">
                            
                            <div class="form-group single_sync_otr">
                                <div class="checkbox-sc">
                                    <div class="checkbox">
                                        <?php 
                                            $psw_pos_autosync_enable = get_option('psw_pos_autosync_enable');
                                            
                                        ?>
                                        <input type="checkbox" id="auto_sync" name="auto_sync" value="auto_sync" <?php if($psw_pos_autosync_enable == 'yes'){ echo "checked"; }?>>
                                        <label for="auto_sync">Auto Sync</label>
                                    </div>
                                </div>
                            </div>
                            <p class="auto_sync_cnt">Item will sync with Moon Invoice in real time when there is new item added or updated.</p>
                            <div class="psw-pos-sycn-single-product-company-button">
                                <button class="btn btn-primary psw-pos-button">Save</button>
                            </div>
                        </div>
                        <div class="psw-pos-sync-single-data-otr" style="display:none; ">
                            <div class="tab_single">
                                <button class="tabsinglelinks active" onclick="opensingletab(event, 'singleproduct')">Product</button>
                                <button class="tabsinglelinks" onclick="opensingletab(event, 'singleorder')">order</button>
                                <button class="tabsinglelinks" onclick="opensingletab(event, 'singlecustomer')">customer</button>
                            </div>
                            <div id="singleproduct" class="tabsinglecontent" style="display: block;">
                                <h3 class="psw-pos-name__title"><?php _e('POS - Moon Invoice synchroniz New Product', 'psw-pos'); ?></h3>
                                <div class="psw-pos-sycn-single-product">
                                    <?php 
                                        $singlesyncproduct = get_option('psw_pos_singlesyncproduct');
                                        
                                    ?>
                                    <div class="psw-pos-sycn-single-enable-product">
                                        <input type="checkbox" value="yes" id="psw-pos-sycn-single-enable-product" name="psw-pos-sycn-single-enable-product" <?php if(isset($singlesyncproduct['singlesyncproduct_enable'])){if($singlesyncproduct['singlesyncproduct_enable'] == 'yes'){ echo "checked";}}?>>
                                        <label for="psw-pos-sycn-single-enable-product">Enable New Product sycn </label>
                                    </div>
                                    <div class="psw-pos-sycn-single-product-company <?php if(isset($singlesyncproduct['singlesyncproduct_enable'])){if($singlesyncproduct['singlesyncproduct_enable'] == 'yes'){ echo "show";}}?>">
                                        <label>Choose Company</label>
                                        <select name="psw-pos-sync-single-company-product" multiple>
                                            <option value="">Select Compay</option>
                                            <?php 
                                                foreach($response->data as $psw_pos_res){
                                            ?>
                                            <option value="<?php echo $psw_pos_res->id;?>" <?php if(isset($singlesyncproduct['singlesyncproduct_enable'])){if(in_array($psw_pos_res->id,$singlesyncproduct['singlesyncproduct_company'])){echo "selected";}}?>><?php echo $psw_pos_res->name;?></option>
                                            <?php 
                                                }
                                            ?>
                                        </select>
                                        <label class="slc_mlt">You are able to select multiple Compay</label>
                                    </div>
                                    <div class="psw-pos-sycn-single-product-company-button">
                                        <button class="btn btn-primary psw-pos-button">Sync Product</button>
                                    </div>
                                </div>
                            </div>
                            <div id="singleorder" class="tabsinglecontent">
                                <h3 class="psw-pos-name__title"><?php _e('POS - Moon Invoice synchroniz New Order', 'psw-pos'); ?></h3>
                                <div class="psw-pos-sycn-single-order">
                                    <?php 
                                        $singlesyncorder = get_option('psw_pos_singlesyncorder');
                                    ?>
                                    <div class="psw-pos-sycn-single-enable-order">
                                        <input type="checkbox" value="yes" id="psw-pos-sycn-single-enable-order" name="psw-pos-sycn-single-enable-order" <?php if(isset($singlesyncorder['singlesyncorder_enable'])){ if($singlesyncorder['singlesyncorder_enable'] == 'yes'){ echo "checked";}}?>>
                                        <label for="psw-pos-sycn-single-enable-order">Enable single Order sycn </label>
                                    </div>
                                    <div class="psw-pos-sycn-single-order-company <?php if(isset($singlesyncorder['singlesyncorder_enable'])){ if($singlesyncorder['singlesyncorder_enable'] == 'yes'){ echo "show";}}?>">
                                        <label>Choose Company</label>
                                        <select name="psw-pos-sync-single-company-order" multiple>
                                            <option value="">Select Compay</option>
                                            <?php 
                                                foreach($response->data as $psw_pos_res){
                                            ?>
                                            <option value="<?php echo $psw_pos_res->id;?>" <?php if(isset($singlesyncorder['singlesyncorder_company'])){ if(in_array($psw_pos_res->id,$singlesyncorder['singlesyncorder_company'])){echo "selected";}}?>><?php echo $psw_pos_res->name;?></option>
                                            <?php 
                                                }
                                            ?>
                                        </select>
                                        <label class="slc_mlt">You are able to select multiple Compay</label>
                                    </div>
                                    <div class="psw-pos-sycn-single-order-company-button">
                                        <button class="btn btn-primary psw-pos-button">Sync Order</button>
                                    </div>
                                </div>
                            </div>
                            <div id="singlecustomer" class="tabsinglecontent">
                                <h3 class="psw-pos-name__title"><?php _e('POS - Moon Invoice synchroniz New Customer', 'psw-pos'); ?></h3>
                                <div class="psw-pos-sycn-single-customer">
                                <?php 
                                        $singlesynccustomer = get_option('psw_pos_singlesynccustomer');
                                    ?>
                                    <div class="psw-pos-sycn-single-enable-customer">
                                        <input type="checkbox" value="yes" id="psw-pos-sycn-single-enable-customer" name="psw-pos-sycn-single-enable-customer" <?php if(isset($singlesynccustomer['singlesynccustomer_enable'])){if($singlesynccustomer['singlesynccustomer_enable'] == 'yes'){ echo "checked";} }?>>
                                        <label for="psw-pos-sycn-single-enable-customer">Enable single Customer sycn </label>
                                    </div>
                                    <div class="psw-pos-sycn-single-customer-company <?php if(isset($singlesynccustomer['singlesynccustomer_enable'])){if($singlesynccustomer['singlesynccustomer_enable'] == 'yes'){ echo "show";} }?>">
                                        <label>Choose Company</label>
                                        <select name="psw-pos-sync-single-company-customer" multiple>
                                            <option value="">Select Compay</option>
                                            <?php 
                                                foreach($response->data as $psw_pos_res){
                                            ?>
                                            <option value="<?php echo $psw_pos_res->id;?>" <?php if(isset($singlesynccustomer['singlesynccustomer_company'])){if(in_array($psw_pos_res->id,$singlesynccustomer['singlesynccustomer_company'])){echo "selected";}} ?>><?php echo $psw_pos_res->name;?></option>
                                            <?php 
                                                }
                                            ?>
                                        </select>
                                        <label class="slc_mlt">You are able to select multiple Compay</label>
                                    </div>
                                    <div class="psw-pos-sycn-single-customer-company-button">
                                        <button class="btn btn-primary psw-pos-button">Sync Customer</button>
                                    </div>
                                </div>        
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php 
                    }
                }else{ 
                $plugin_data = get_plugin_data( __FILE__ );
            ?>
            <div class="wrap">
                <form action="admin-post.php" method="post" novalidate="novalidate">
                    <p class="submit">
                        <input type="hidden" name="authorization_call" value="<?php echo true; ?>" > 
                        <input type="hidden" name="action" value="mi_authentication">
                        <input type="submit" name="Authentication" id="auth-submit" class="button button-primary"
                            value="Authentication">
                    </p>
                </form>
            </div>
            <?php } ?>
        </div>
    </div>
</div>

<div class="notify_box">
    <img src="<?php echo WP_MI_PSW_POS_PLUGIN_URL;?>/images/check-circle.svg" alt="noticfication">
    <p>Data synced successfully.</p>
</div>