<?php 

/*
* MI Data synchronization package
*/

if( ! defined( 'ABSPATH' ) ) {
    exit;
}

if( ! class_exists( 'Mi_authentication' ) ) {

    class Mi_authentication {

        public function mi_authorization() {
            
            if( isset( $_POST['authorization_call'] ) && $_POST['authorization_call'] == true ) {    
                $mi_pos_authorization_keys_data = get_option('mi_pos_authorization_keys_data');
                $client_id = $mi_pos_authorization_keys_data->client_id;
                $secret_key = $mi_pos_authorization_keys_data->secret_key;
                $redirect_uri = get_admin_url().'admin.php?page=psw-pos';
                $query = http_build_query(array(
                    'client_id' => $client_id,
                    'redirect_uri' => $redirect_uri,
                    'response_type' => 'code',
                    'scope' => '',
                ));

                 print_r( $query );
                
                header('Location: '.WP_MI_PSW_POS_PLUGIN_API_ENDPOINT.'/mi_integration/oauth/authorize/custom?'.$query);

            } 

        }
    }
}