<?php 
/**
 * plugin Update check
 *
 */
add_filter( 'site_transient_update_plugins','psw_pos_push_update');
function psw_pos_push_update( $transient ){
 
	if ( empty( $transient->checked ) ) {
		return $transient;
	}

	$remote = wp_remote_get( 
		'http://192.168.1.167/wordpress_test3/wp-content/uploads/updater/info.json',
		array(
			'timeout' => 10,
			'headers' => array(
				'Accept' => 'application/json'
			)
		)
	);
    
	if( is_wp_error( $remote ) || 200 !== wp_remote_retrieve_response_code( $remote ) || empty( wp_remote_retrieve_body( $remote ) )){
		return $transient;	
	}
	
	$remote = json_decode( wp_remote_retrieve_body( $remote ) );
    //$plugin_data = get_plugin_data( __FILE__ );
    $plugin_data = get_plugin_data(WP_MI_PSW_POS_PLUGIN_PATH.'/products-sync-with-pos-moon-invoice.php' );
    if( $remote && version_compare( $plugin_data['Version'], $remote->version, '<' ) && version_compare( $remote->requires, get_bloginfo( 'version' ), '<' )	&& version_compare( $remote->requires_php, PHP_VERSION, '<' )) {
		
		$res = new stdClass();
		$res->slug = $remote->slug;
		$res->plugin = plugin_basename( __FILE__ ); // it could be just YOUR_PLUGIN_SLUG.php if your plugin doesn't have its own directory
		$res->new_version = $remote->version;
		$res->tested = $remote->tested;
		$res->package = $remote->download_url;
		$transient->response[ $res->plugin ] = $res;
	}

	return $transient;

}
/* 
if( ! class_exists( 'psw_pos_update_check' ) ) {
    class psw_pos_update_check{
        
        public function __construct() {
            add_filter( 'site_transient_update_plugins', array(&$this,'psw_pos_push_update') );
        }

        public function psw_pos_push_update( $transient ){
 
            if ( empty( $transient->checked ) ) {
                return $transient;
            }
        
            $remote = wp_remote_get( 
                'http://192.168.1.167/wordpress_test3/wp-content/uploads/updater/info.json',
                array(
                    'timeout' => 10,
                    'headers' => array(
                        'Accept' => 'application/json'
                    )
                )
            );
            
            if( is_wp_error( $remote ) || 200 !== wp_remote_retrieve_response_code( $remote ) || empty( wp_remote_retrieve_body( $remote ) )){
                return $transient;	
            }
            
            $remote = json_decode( wp_remote_retrieve_body( $remote ) );
            
            $plugin_data = get_plugin_data(WP_MI_PSW_POS_PLUGIN_PATH.'/products-sync-with-pos-moon-invoice.php' );
            if( $remote && version_compare( $plugin_data['Version'], $remote->version, '<' ) && version_compare( $remote->requires, get_bloginfo( 'version' ), '<' )	&& version_compare( $remote->requires_php, PHP_VERSION, '<' )) {
                
                $res = new stdClass();
                $res->slug = $remote->slug;
                $res->plugin = WP_MI_PSW_POS_PLUGIN_PATH; // it could be just YOUR_PLUGIN_SLUG.php if your plugin doesn't have its own directory
                $res->new_version = $remote->version;
                $res->tested = $remote->tested;
                $res->package = $remote->download_url;
                $transient->response[ $res->plugin ] = $res;
            }
        
            return $transient;
        
        }
    }
    new psw_pos_update_check();
} */