<?php
/**
 * menu class
 *
 */
class main_menuss {
    /**
     * Autoload method
     * @return void
     */
    public function __construct() {
        global $woocommerce, $post;
        //add_action( 'admin_menu', array(&$this, 'register_menu') );
        add_action( 'admin_menu', array(&$this,'WP_MI_PSW_POS_register_my_custom_menu_page') );
    }
    /**
    * Register Menu
    * @return void
    */
    public function WP_MI_PSW_POS_register_my_custom_menu_page() {
        $icon = WP_MI_PSW_POS_PLUGIN_URL.'/images/MI-Logo-White.svg';
        add_menu_page( 'Moon Invoice', 'Moon Invoice', 'manage_options', 'psw-pos', array(&$this,'psw_pos_callback'),$icon,50 );
    }
    /**
    * Render menu function callback
    * @return void
    */
    public function psw_pos_callback() {
        $mi_psw_pos_auth_details = get_option('mi_psw_pos_auth_details');
        if(isset($mi_psw_pos_auth_details['access_token'])){
            $access_token = $mi_psw_pos_auth_details['access_token'];
        }else{
            $access_token = "";
        }
        /*$access_token = $mi_psw_pos_auth_details['access_token'];*/
        if(isset($mi_psw_pos_auth_details['token_type'])){
            $token_type = $mi_psw_pos_auth_details['token_type'];
        }else{
            $token_type = "";
        }
        /*$token_type = $mi_psw_pos_auth_details['token_type'];*/
        $psw_pos_access_token = $token_type.' '.$access_token;

        $ch = curl_init();
        $url = WP_MI_PSW_POS_PLUGIN_API_ENDPOINT.'/woocommerce/get_company_list';
        $headers = array('Content-Type: application/json', 'Authorization: '.$psw_pos_access_token);

        curl_setopt($ch,CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        /* curl_setopt($ch,CURLOPT_GET, true); */
        curl_setopt($ch,CURLOPT_POST, true);
        /* curl_setopt($ch,CURLOPT_POSTFIELDS, $params ); */
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        $result = curl_exec($ch);
        curl_close($ch);
        $response = json_decode($result);

        $ch = curl_init();

        $url = WP_MI_PSW_POS_PLUGIN_API_ENDPOINT.'/woocommerce/total_sync';
        $headers = array('Content-Type: application/json', 'Authorization: '.$psw_pos_access_token);

        curl_setopt($ch,CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        /* curl_setopt($ch,CURLOPT_GET, true); */
        curl_setopt($ch,CURLOPT_POST, true);
        /* curl_setopt($ch,CURLOPT_POSTFIELDS, $params ); */
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        $result_pos = curl_exec($ch);
        curl_close($ch);
        $response_pos = json_decode($result_pos);

        include WP_MI_PSW_POS_PLUGIN_PATH.'/inc/admin/admin-psw_pos-page.php';
    }
  
} 
new main_menuss();
